#ifndef COMPC_H
#define COMPC_H

#include <QObject>
#include <QString>

#include "antenna_w.h"

class comPc : public QObject
{
    Q_OBJECT

public:
    comPc();

signals:
    /*! Signal émit pour mettre à jour la fenêtre RxData */
    void sig_text(QString);

public slots:
    void status_RS232(int resul);

private:
    Antenna_w *ant_;
    QString portName;
    BaudRateType baudRate;
    QString partNumber;
    QString serialNumber;
};

#endif // COMPC_H
